
TYPO3.Flow - Feature # 37475

Status: Resolved Priority: Should have
Author: Adrian Föder Category: Core
Created: 2012-05-24 Assigned To: Adrian Föder
Updated: 2012-05-26 Due date:
PHP Version:
Has patch: Yes
Complexity:
Subject: Add UnitTest's @depends to ignored annotations
Description

In order to set up dependencies as described in 
http://www.phpunit.de/manual/3.6/en/writing-tests-for-phpunit.html#writing-tests-for-phpunit.examples.StackTest2.php the @depends
annotation has to be allowed.

Associated revisions
Revision d84ffe23 - 2012-05-24 17:29 - Adrian Föder

[FEATURE] Add @depends annotation to ignored ones

To allow test dependencies in Unit Tests, the @depends
annotation is added to the ignored annotation array.

Change-Id: Id9dd20e6e80ca044536444a1ea557b60161931b5
Resolves: #37475
Releases: 1.2

History
#1 - 2012-05-24 16:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11574

#2 - 2012-05-24 17:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11574

#3 - 2012-05-26 15:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d84ffe233f56dcd6265b5eaac1f5884380ecafe5.
